#!/bin/bash

cd {{ app_instance_root }}

sudo -u www-data php occ maintenance:install \
  --data-dir "{{ app_data }}" \
  --database "pgsql" \
  --database-name "{{ database_name }}" \
  --database-user "{{ database_user }}" \
  --database-pass "{{ database_password }}" \
  --admin-user "{{ nextcloud_default_admin | mandatory}}" \
  --admin-pass "{{ nextcloud_default_password | mandatory }}"

sudo -u www-data php occ config:system:set trusted_domains 0 --value="{{ app_domain }}"
sudo -u www-data php occ config:system:set overwrite.cli.url --value="https://{{ app_domain }}"

sudo -u www-data php occ config:system:set redis host port
sudo -u www-data php occ config:system:set redis host --value="localhost"
sudo -u www-data php occ config:system:set redis port --value="6379" --type=integer

sudo -u www-data php occ config:system:set memcache.local --value="\\OC\\Memcache\\Redis"
sudo -u www-data php occ config:system:set memcache.locking --value="\\OC\\Memcache\\Redis"

sudo -u www-data php occ config:system:set mail_smtpmode --value="smtp"
sudo -u www-data php occ config:system:set mail_from_address --value="{{ smtp_shortfrom }}"
sudo -u www-data php occ config:system:set mail_domain --value="{{ smtp_domain }}"
sudo -u www-data php occ config:system:set mail_smtpauthtype --value="{{ _smtp_authtype }}"
sudo -u www-data php occ config:system:set mail_smtpsecure --value="{{ _smtp_secure }}"
sudo -u www-data php occ config:system:set mail_smtpauth --value="{{ _smtp_auth }}" --type=integer
sudo -u www-data php occ config:system:set mail_smtphost --value="{{ smtp_host }}"
sudo -u www-data php occ config:system:set mail_smtpport --value="{{ smtp_port }}"
sudo -u www-data php occ config:system:set mail_smtpname --value="{{ smtp_user }}"
sudo -u www-data php occ config:system:set mail_smtppassword --value="{{ smtp_password }}"

sudo -u www-data php occ config:system:set default_language --value="fr"
sudo -u www-data php occ config:system:set knowledgebaseenabled --value="true" --type=boolean
sudo -u www-data php occ user:setting admin settings lang "fr"

sudo -u www-data php occ background:cron

{% for app_item in nextcloud_default_apps %}
sudo -u www-data php occ app:install {{ app_item }}
{% endfor %}
